package client;

import data.*;

public class Decision {
    static final int NONE = -1;
    static final int MOVE = 0;
    static final int PICK = 1;
    static final int DROP = 2;

    public int bid;
    public int action = NONE;

    public String args;

    public Decision() {
    }
        
    public Decision(int b, int a, String p) {
        bid = b;
        action = a;
        args = p;
    }

    public String toString() {
        switch (action) {
        case NONE:
            return "";
        case MOVE:
            return bid + " Move " + args;
        case PICK:
            return bid + " Pick " + args;
        case DROP:
            return bid + " Drop " + args;
        }
        return "";
    }
}
