package data;

import java.awt.*;
import java.util.*;

public class Robot {

    public static Display display = null;

    public boolean me = false;
    public String robotID;
    public int col = 0;
    public int row = 0;
    public Color color;

    private static Hashtable robots = new Hashtable();
    
    public Robot(String id, Color c, int startCol, int startRow) {
        robotID = id;
        col = startCol;
        row = startRow;
        color = c;
        robots.put(id, this);
    }

    public static boolean robotExists(String id) {
        return (robots.get(id) != null);
    }
        
    public static Robot getRobot(String id) {
        Robot r = (Robot) robots.get(id);
        return r;
    }

    public void move(String dir) {
        if (dir.equals("N")) row++;
        if (dir.equals("S")) row--;
        if (dir.equals("E")) col++;
        if (dir.equals("W")) col--;
    }

    public String prettyPrint() {
        return robotID + "@ " + col + "," + row;
    }
    public String toString() {
        return robotID;
    }
}
